#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/s_code_project_updater/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive S-Code Project Updater',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['pycapo', 'pymygdala', 'schema', 'sqlalchemy'],
    tests_require=['pytest-mock'],
    requires=['sqlalchemy', 'mysqldb'],
    keywords=[],
    packages=['s_code_project_updater'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['update_sproj = s_code_project_updater.commands:main']
    },
)
